madkit.action

## Class BooleanAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - madkit.action.MDKAbstractAction
    - - madkit.action.BooleanAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action

      public class BooleanAction
      extends MDKAbstractAction

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanAction(ActionInfo actionInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)`
    `void` | `onUpdate(boolean isSelected)` Method automatically triggered when the action is selected or unselected
    `void` | `restoreSelectedKeyPreference()`
    `String` | `toString()`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanAction

          public BooleanAction(ActionInfo actionInfo)

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

    - #### restoreSelectedKeyPreference

          public void restoreSelectedKeyPreference()

    - #### onUpdate

          public void onUpdate(boolean isSelected)

      Method automatically triggered when the action is selected or unselected
      Parameters:
        `isSelected` -

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Fabien Michel, Olivier Gutknecht, Jacques Ferber - February 17 2020